summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-05-11 22:53:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:47 +0200
commit43ad3ee4223cee33e4d89183e0d49c92d7ba00cd (patch)
tree47f470f3e03d20abaec5c561a17b21847d969678 /games
parent160c11c9896b479e9a2b3850f9de750b70893803 (diff)
downloadslackbuilds-43ad3ee4223cee33e4d89183e0d49c92d7ba00cd.tar.gz
slackbuilds-43ad3ee4223cee33e4d89183e0d49c92d7ba00cd.tar.xz
games/smc_music: Added to 12.1 repository
Diffstat (limited to 'games')
-rw-r--r--games/smc_music/README9
-rw-r--r--games/smc_music/slack-desc19
-rw-r--r--games/smc_music/smc_music.SlackBuild47
-rw-r--r--games/smc_music/smc_music.info8
4 files changed, 83 insertions, 0 deletions
diff --git a/games/smc_music/README b/games/smc_music/README
new file mode 100644
index 0000000000..c4265cbe90
--- /dev/null
+++ b/games/smc_music/README
@@ -0,0 +1,9 @@
+smc_music (Secret Maryo Chronicles Music Pack)
+
+Secret Maryo Chronicles is an Open Source two-dimensional platform game
+with a style designed similar to classic sidescroller games such as Super
+Mario Bros.
+
+This SlackBuild simply repackages the SMC Music Pack. The game itself
+should be installed separately, and its slackBuild can be found on this
+site.
diff --git a/games/smc_music/slack-desc b/games/smc_music/slack-desc
new file mode 100644
index 0000000000..cab6579580
--- /dev/null
+++ b/games/smc_music/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smc_music: smc_music (Secret Maryo Chronicles Music Pack)
+smc_music:
+smc_music: Secret Maryo Chronicles is an Open Source two-dimensional platform
+smc_music: game with a style designed similar to classic sidescroller games such
+smc_music: as Super Mario Bros.
+smc_music:
+smc_music: This package **includes ONLY the music pack for the game** and is
+smc_music: architecture independent.
+smc_music:
+smc_music: http://www.secretmaryo.org/
+smc_music:
diff --git a/games/smc_music/smc_music.SlackBuild b/games/smc_music/smc_music.SlackBuild
new file mode 100644
index 0000000000..8181783317
--- /dev/null
+++ b/games/smc_music/smc_music.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for
+# smc_music (Secret Maryo Chronicles Music Pack)
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=smc_music
+VERSION=${VERSION:-4.0}
+
+# The music pack file name
+# This is not always consistent, so check it
+MUSICPACK=${MUSICPACK:-SMC_music_${VERSION}_high.zip}
+
+ARCH=noarch # Leave this alone
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+mkdir -p $TMP $OUTPUT
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $PKG
+
+unzip $CWD/$MUSICPACK
+
+mkdir -p $PKG/usr/share/$(echo $PRGNAM | cut -d"_" -f1) \
+ $PKG/usr/doc/$PRGNAM-$VERSION \
+ $PKG/install
+mv -v data/music $PKG/usr/share/$(echo $PRGNAM | cut -d"_" -f1)
+rmdir data
+
+mv -v docs/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rmdir docs
+
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/smc_music/smc_music.info b/games/smc_music/smc_music.info
new file mode 100644
index 0000000000..e900e4e14b
--- /dev/null
+++ b/games/smc_music/smc_music.info
@@ -0,0 +1,8 @@
+PRGNAM="smc_music"
+VERSION="4.0"
+HOMEPAGE="http://www.secretmaryo.org/"
+DOWNLOAD="http://downloads.sourceforge.net/smclone/SMC_music_4.0_high.zip"
+MD5SUM="bb007603c723eddd6ccb007cc5f01cd6"
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="David Somero"